﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SimpleDB {

  class Program {
      static void Main(string[] args) {
          Dictionary<string, Person> db = new Dictionary<string, Person>();

          Console.WriteLine("BUILD SIMPLE DATABASE OF PERSONS (type empty line to quit):");

          while (true) {
                Console.WriteLine("\nType a person's name, gender, and age (separated by blanks): ");
                string s = Console.ReadLine();

                if (s == "") { break; }  // if finished, quit loop
                // else, add new Person to database:
                string[] words = s.Split(' ');
                string name = words[0];
                string gender = words[1];
                int age = Int32.Parse(words[2]);
                // add person into dictionary  d:
                db[name] = new Person(name, gender, age);
          }

          Console.WriteLine();    // ***** insert a breakpoint at this line.
          Console.WriteLine("NOW, DO SOME LOOKUPS (type empty line to quit):");

          while (true) {
                Console.Write("\nType a person's name: ");
                string s = Console.ReadLine();
                if (s == "") { break; }  // if finished, quit loop,
                // else, look up the key,  s :
                if (db.ContainsKey(s))  {
                        Console.WriteLine(db[s].ToString());
                }
                else { Console.WriteLine("Lookup key error"); }
          }

          Console.ReadLine();
     }
  }
}
